Skip to main content
GET
/
api
/
agent-actions
List agent actions
curl --request GET \
  --url https://app.outlit.ai/api/agent-actions \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "actions": [
        {
          "key": "<string>",
          "version": 2,
          "label": "<string>",
          "category": "<string>",
          "subjectTypes": [
            "CUSTOMER"
          ]
        }
      ]
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Response

Available agent action capabilities.

ok
boolean
required
commandId
string
required
Allowed value: "agent.listAvailableActions"
commandVersion
integer
required
correlationId
string
required
result
object
required